{
  "name": "fe-entrytask-blackcat",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@babylonjs/core": "^4.1.0",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.5.0",
    "@testing-library/user-event": "^7.2.1",
    "@types/faker": "^5.1.0",
    "@types/jest": "^24.9.1",
    "@types/node": "^12.12.54",
    "@types/react": "^16.9.49",
    "@types/react-dom": "^16.9.8",
    "@types/react-infinite-scroller": "^1.2.1",
    "@types/react-loader-spinner": "^3.1.0",
    "@types/react-redux": "^7.1.9",
    "@types/react-router-dom": "^5.1.5",
    "@typescript-eslint/eslint-plugin": "^4.0.1",
    "@typescript-eslint/parser": "^4.0.1",
    "connected-react-router": "^6.8.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-prettier": "^3.1.4",
    "faker": "^5.1.0",
    "history": "^4.0.0",
    "husky": "^4.3.0",
    "immutable": "^4.0.0-rc.12",
    "lint-staged": "^10.3.0",
    "moment": "^2.27.0",
    "node-sass": "^4.14.1",
    "prettier": "^2.1.1",
    "pretty-quick": "^3.0.0",
    "react": "^16.13.1",
    "react-day-picker": "^7.4.8",
    "react-dom": "^16.13.1",
    "react-infinite-scroller": "^1.2.4",
    "react-loader-spinner": "^3.1.14",
    "react-loading-skeleton": "^2.1.1",
    "react-redux": "^7.2.1",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-scripts": "3.4.3",
    "redux": "^4.0.5",
    "redux-devtools-extension": "^2.13.8",
    "redux-thunk": "^2.3.0",
    "typescript": "^3.9.7"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint": "pretty-quick --staged && lint-staged"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run lint"
    }
  },
  "lint-staged": {
    "*.{tsx,ts,js}": "eslint --cache --fix"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
